function _OcclusionManager:add_occlusion(unit)
	local u_key = unit:key()

	if self._skip_occlusion[u_key] then
		self._skip_occlusion[u_key] = self._skip_occlusion[u_key] - 1

		if self._skip_occlusion[u_key] > 0 then
			return
		else
			self._skip_occlusion[u_key] = nil
		end
	end

	if alive(unit) then
		local objects = unit:get_objects_by_type(self._model_ids)

		for _, obj in pairs(objects) do
			if type(obj) ~= 'number' then
				obj:set_skip_occlusion(false)
			end
		end
	end

	--self._skip_occlusion[unit:key()] = nil
end